<?php

# check if session is valid
require_once('/usr/local/www/berogui/includes/session.php');

if (!is_file("/tmp/gui_ready")){
	print("<html><head><title>beroNet Gateway</title></head>"
		. "<body><div style='text-align:center'>"
		. "<img src='./includes/images/waitlogo.gif' title='Wait image'>"
		. "<p>Please wait until the start process has finished completely.</p>"
		. "</div>"
		. "<script type='text/javascript'>"
		. "window.setTimeout('location.reload()',5000);"
        . "</script></body></html>");
	return;
}

function liAssignment ($ba,$table,$li){
	$r = $ba->select("select distinct(type) from $table where lif='$li'");
	return sqlite_fetch_single($r);
}

require_once('includes/variables.php');
require_once('misc/database.php');
require_once('includes/check.php');
require_once('includes/password_func.php');


    $class=$_GET['m'];
    if (is_file('modules/'.$class.'/'.$class.'.php')){
        require_once('modules/'.$class.'/'.$class.'.php'); 
        $instance=new $class(); 
        print $instance->display(); 
    }else{
        require_once('modules/State/State.php'); 
        $state = new State();
        print $state->display();
    }

/* Überprüfung ab eine Hardwareänderung stattgefunden hat,
 * Der Benutzer wird durch eine Meldung darauf hingewiesen,
 * dass ein Factory reset erforderlich ist
 */

	$ba = new beroAri();

	$res=file_get_contents('/proc/cmdline');
	preg_match("/.*revision=(?<revision>.*)/",$res,$revision);
	$revision=$revision['revision'];

	$res=file_get_contents('/proc/li0');
	preg_match("/type: (?<li0>.*)/",$res,$li0);
	$li0=$li0['li0'];

	$res=file_get_contents('/proc/li1');
	preg_match("/type: (?<li1>.*)/",$res,$li1);
	$li1=$li1['li1'];

	if (($revision=="1.80" || $revision=="1.8") && ($li0=="xhfcSi-2s02fxs" || $li1=="xhfcSi-2s02fxs" || $li0=="si-4fxs" || $li1=="si-4fxs")){
		print ("<script>document.getElementById('hardware_ch').innerHTML+=\" ".HARDWARE_SUPPORT_DIS."\";</script>");
	}

	if (liAssignment($ba,'isdn',1) == "bf4S0" && $li1 != "xhfc-4su") {
		($_POST['action']=='updatedb') ? Helper::deleteModul(1,liAssignment($ba,'isdn',1),"isdn")
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
				"<a href='index.php?m=RebootReset&li1Old=bf4S0'>Click here</a>\";</script>");
        }elseif (liAssignment($ba,'isdn',1) == "bf2S0" && $li1 != "xhfc-2su") {
		($_POST['action']=='updatedb') ? Helper::deleteModul(1,liAssignment($ba,'isdn',1),"isdn")
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
				"<a href='index.php?m=RebootReset&li1Old=bf2S0'>Click here</a>\";</script>");
         }elseif (liAssignment($ba,'isdn',1) == "bf1S0" && $li1 != "xhfc-1su") {
		($_POST['action']=='updatedb') ? Helper::deleteModul(1,liAssignment($ba,'isdn',1),"isdn")
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
				"<a href='index.php?m=RebootReset&li1Old=bf1S0'>Click here</a>\";</script>");
	} elseif(liAssignment($ba,'isdn',1)=="bf1E1" && $li1!="hfc-e1") {
		($_POST['action']=='updatedb') ? Helper::deleteModul(1,liAssignment($ba,'isdn',1),"isdn")
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
			"<a href='index.php?m=RebootReset&li1Old=bf1E1'>Click here</a>\";</script>");
	} elseif(liAssignment($ba,'isdn',1)=="bf2E1" && $li1!="hfc-2e1") {
		($_POST['action']=='updatedb') ? Helper::deleteModul(1,liAssignment($ba,'isdn',1),"isdn")
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
			"<a href='index.php?m=RebootReset&li1Old=bf2E1'>Click here</a>\";</script>");
	} elseif(liAssignment($ba,'gsm',1)=="bf1GSM" && $li1!="telit-1GSM") {
		($_POST['action']=='updatedb') ? Helper::deleteModul(1,liAssignment($ba,'gsm',1),"gsm")
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
			"<a href='index.php?m=RebootReset&li1Old=bf1GSM'>Click here</a>\";</script>");
	} elseif(liAssignment($ba,'gsm',1)=="bf2GSM" && $li1!="telit-2GSM") {
		($_POST['action']=='updatedb') ? Helper::deleteModul(1,liAssignment($ba,'gsm',1),"gsm")
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
			"<a href='index.php?m=RebootReset&li1Old=bf2GSM'>Click here</a>\";</script>");
	} elseif(liAssignment($ba,'analog',1)=="bf4FXS" && $li1!="si-4fxs") {
		($_POST['action']=='updatedb') ? Helper::deleteModul(1,liAssignment($ba,'analog',1),"analog")
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
			"<a href='index.php?m=RebootReset&li1Old=bf4FXS'>Click here</a>\";</script>");
        } elseif(liAssignment($ba,'analog',1)=="bf8FXS" && $li1!="si-8fxs") {
		($_POST['action']=='updatedb') ? Helper::deleteModul(1,liAssignment($ba,'analog',1),"analog")
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
			"<a href='index.php?m=RebootReset&li1Old=bf8FXS'>Click here</a>\";</script>");
        } elseif(liAssignment($ba,'analog',1)=="bf1FXS" && $li1!="si-1fxs") {
		($_POST['action']=='updatedb') ? Helper::deleteModul(1,liAssignment($ba,'analog',1),"analog")
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
			"<a href='index.php?m=RebootReset&li1Old=bf1FXS'>Click here</a>\";</script>");
	} elseif(liAssignment($ba,'analog',1)=="bf4FXO" && $li1!="si-4fxo") {
		if ($_POST['action']=='updatedb') {
			Helper::deleteModul(1,liAssignment($ba,'analog',1),"analog");
			Helper::deleteCPT("SIP-FXO");
		}else{
			print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
			"<a href='index.php?m=RebootReset&li1Old=bf4FXO'>Click here</a>\";</script>");
		}
        } elseif(liAssignment($ba,'analog',1)=="bf2FXO" && $li1!="si-2fxo") {
		if ($_POST['action']=='updatedb') {
			Helper::deleteModul(1,liAssignment($ba,'analog',1),"analog");
			Helper::deleteCPT("SIP-FXO");
		}else{
			print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
			"<a href='index.php?m=RebootReset&li1Old=bf2FXO'>Click here</a>\";</script>");
		}
	} elseif(liAssignment($ba,'isdn',1)=="bf2S02FXS" && $li1!="xhfcSi-2s02fxs") {
		if ($_POST['action']=='updatedb') {
			Helper::deleteModul(1,liAssignment($ba,'isdn',1),"isdn"); Helper::deleteModul(1,liAssignment($ba,'analog',1),"analog");
		} else {
			print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
				"<a href='index.php?m=RebootReset&li1Old=bf2S02FXS'>Click here</a>\";</script>");
		}
	} elseif(liAssignment($ba,'cas',1)=="bf1t1e1" && $li1!="falc-1t1e1") {
		($_POST['action']=='updatedb') ? Helper::deleteModul(1,liAssignment($ba,'cas',1),"cas")
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
			"<a href='index.php?m=RebootReset&li1Old=bf1t1e1'>Click here</a>\";</script>");
	} elseif(liAssignment($ba,'cas',1)=="bf2t1e1" && $li1!="falc-2t1e1") {
		($_POST['action']=='updatedb') ? Helper::deleteModul(1,liAssignment($ba,'cas',1),"cas")
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
			"<a href='index.php?m=RebootReset&li1Old=bf2t1e1'>Click here</a>\";</script>");
	} elseif(liAssignment($ba,'cas',1)=="bf4t1e1" && $li1!="falc-4t1e1") {
		($_POST['action']=='updatedb') ? Helper::deleteModul(1,liAssignment($ba,'cas',1),"cas")
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
			"<a href='index.php?m=RebootReset&li1Old=bf4t1e1'>Click here</a>\";</script>");
        }

	if ((liAssignment($ba,'isdn',1) == "" && liAssignment($ba,'analog',1) == "" && liAssignment($ba,'gsm',1) == "" && liAssignment($ba,'cas',1) == "") && $li1 != "unknown"){
		($_POST['action']=='updatedb') ? Helper::createModul(true)
			: print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_LI1_DIS.
			"<a href='index.php?m=RebootReset&li1Old=none'>Click here</a>\";</script>");
	}


	if (liAssignment($ba,'isdn',0)=="bf4S0" && $li0!="xhfc-4su"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
        }elseif (liAssignment($ba,'isdn',0)=="bf2S0" && $li0!="xhfc-2su"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
        }elseif (liAssignment($ba,'isdn',0)=="bf1S0" && $li0!="xhfc-1su"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
	}elseif(liAssignment($ba,'isdn',0)=="bf1E1" && $li0!="hfc-e1"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
	}elseif(liAssignment($ba,'isdn',0)=="bf2E1" && $li0!="hfc-2e1"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
	}elseif(liAssignment($ba,'gsm',0)=="bf2GSM" && $li0!="telit-2GSM"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
	}elseif(liAssignment($ba,'gsm',0)=="bf1GSM" && $li0!="telit-1GSM"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
	}elseif(liAssignment($ba,'analog',0)=="bf4FXS" && $li0!="si-4fxs"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
        }elseif(liAssignment($ba,'analog',0)=="bf8FXS" && $li0!="si-8fxs"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
        }elseif(liAssignment($ba,'analog',0)=="bf1FXS" && $li0!="si-1fxs"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
        }elseif(liAssignment($ba,'analog',0)=="bf4FXO" && $li0!="si-4fxo"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
	}elseif(liAssignment($ba,'analog',0)=="bf2FXO" && $li0!="si-2fxo"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
	}elseif(liAssignment($ba,'isdn',0)=="bf2S02FXS" && $li0!="xhfcSi-2s02fxs"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
	}elseif(liAssignment($ba,'cas',0)=="bf1t1e1" && $li0!="falc-1t1e1"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
	}elseif(liAssignment($ba,'cas',0)=="bf2t1e1" && $li0!="falc-2t1e1"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
	}elseif(liAssignment($ba,'cas',0)=="bf4t1e1" && $li0!="falc-4t1e1"){
		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
	}



	if ((liAssignment($ba,'isdn',0)=="" && liAssignment($ba,'analog',0)=="" && liAssignment($ba,'gsm',0)=="" && liAssignment($ba,'cas',0)=="") && $li0!="unknown"){

		print ("<script>document.getElementById('hardware_ch').innerHTML=\"".HARDWARE_CHANGED_DIS."\";</script>");
	}


$jumper = file("/proc/RESET_JUMPER");
if ($jumper[0] == 1){
	print ("<script>document.getElementById('reset_jumper').innerHTML='Reset jumper present." .
		"Please remove it after you have configured your network settings';</script>");
}

print '<script>window.setInterval("session()", 60000);
	function session(){

		$.ajax({ url: \'includes/session.php?return=true\', success:
				function(data) {
						var url = data;
						if (url!="")
						window.location=url;
				}
			});
}</script>';


chdir('/usr/local/www/berogui');
$helpPath="./includes/images/";
require_once('includes/footer.php');
?>
